package com.microsoft.office.ui.controls.widgets

import android.content.res.ColorStateList
import com.microsoft.office.ui.styles.utils.DrawableUtils
import com.microsoft.office.ui.uicolor.PaletteType
import com.microsoft.office.ui.utils.IPalette
import com.microsoft.office.ui.utils.MsoPaletteAndroidGenerated.Swatch

object WXPFabQATColorFactory {

    fun getColorStateList(paletteType: PaletteType): ColorStateList {
        val palette: IPalette<Swatch> = DrawableUtils.getPaletteFromPaletteType(paletteType) as IPalette<Swatch>

        val backgroundDrawableStates = arrayOf(
                intArrayOf(
                        android.R.attr.state_focused,
                        -android.R.attr.state_checked
                ),
                intArrayOf(
                        android.R.attr.state_focused,
                        android.R.attr.state_checked
                ),
                intArrayOf(android.R.attr.state_checked),
                intArrayOf(-android.R.attr.state_checked),
                intArrayOf()
        )

        val backgroundColors = intArrayOf(
                palette.getColor(Swatch.BkgSelectionHighlight),
                palette.getColor(Swatch.BkgCtlSelected),
                palette.getColor(Swatch.BkgCtlSelected),
                palette.getColor(Swatch.Bkg),
                palette.getColor(Swatch.Bkg)
        )
        return ColorStateList(backgroundDrawableStates, backgroundColors)
    }
}